Summary:	Extracts the EXIF data from image files
Summary(pl.UTF-8):	Narzędzie wyciągające dane EXIF z plików graficznych
Name:		jhead
Version:	2.97
Release:	1
License:	GPL
Group:		Applications/Graphics
Source0:	http://www.sentex.net/~mwandel/jhead/%{name}-%{version}.tar.gz
# Source0-md5:	23b037d0c54211973a3951e41a97c924
URL:		http://www.sentex.net/~mwandel/jhead/
Requires:	libjpeg-progs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Jhead is a command line driven utility for extracting digital camera
settings from the Exif format files used by many digital cameras. It
handles the various confusing ways these can be expressed, and
displays them as F-stop, shutter speed, etc. It is also able to reduce
the size of digital camera JPEGs without loss of information, by
deleting integral thumbnails that digital cameras put into the Exif
header. If you need to add Exif support to a program, this is a simple
program to cut and paste from. Many projects, including PHP, have
reused code from this utility.

%description -l pl.UTF-8
Jhead to sterowane z linii poleceń narzędzie do wyciągania ustawień
aparatu z plików w formacie Exif używanego przez wiele aparatów
cyfrowych. Obsługuje wiele różnych mylących sposobów, w jakie mogą być
wyrażone informacje i wyświetla je jako F-stop, szybkość przysłony
itp. Umożliwia także zmniejszenie rozmiaru pliku JPEG bez utraty
informacji poprzez usuwanie miniaturek wstawianych przez aparaty do
nagłówka Exif. Jest to także prosty program, z którego można przekleić
kod w celu obsługi formatu Exif we własnym programie. Wiele projektów,
w tym PHP, użyło kodu z tego narzędzia.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1

install -D jhead $RPM_BUILD_ROOT%{_bindir}/%{name}
install jhead.1 $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc changes.txt usage.html readme.txt
%attr(755,root,root) %{_bindir}/jhead
%{_mandir}/man1/*
%changelog
* Sat Feb 02 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/jhead.git;a=log;h=master

* Sat Feb 02 2013 Łukasz Kieś <kiesiu@pld-linux.org> b889cc0
- updated to 2.97

* Sun Aug 12 2012 Łukasz Kieś <kiesiu@pld-linux.org> 9ce111d
- updated to 2.96

* Mon May 14 2012 Łukasz Kieś <kiesiu@pld-linux.org> dec2930
- updated to 2.95

* Tue Mar 06 2012 Łukasz Kieś <kiesiu@pld-linux.org> d8e82f8
- updated to 2.93

* Sun Feb 06 2011 hawk <hawk@pld-linux.org> 4bcaf8c
- obsolete

* Sun Feb 06 2011 hawk <hawk@pld-linux.org> c1ec44a
- updated to 2.90

* Mon Dec 31 2007 Elan Ruusamäe <glen@pld-linux.org> 3fda43c
- rel 2

* Wed Dec 26 2007 zbyniu <zbyniu@pld-linux.org> 2f477b2
- up to 2.8

* Mon Dec 10 2007 Elan Ruusamäe <glen@pld-linux.org> 7265f92
- R: libjpeg-progs for jpegtran (jhead -autorot); rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 990663c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 64dcd7f
- converted to UTF-8

* Sun May 28 2006 hawk <hawk@pld-linux.org> a3e79c2
- updated to 2.6

* Mon Jun 20 2005 blekot <blekot@pld-linux.org> 7d76578
- up to 2.4

* Fri Feb 04 2005 matowy <matowy@pld-linux.org> 52d6acc
- uses CFLAGS

* Fri Feb 04 2005 matowy <matowy@pld-linux.org> 7e5cb17
- up to 2.3, added patch (use CFLAGS)

* Sun Sep 12 2004 havner <havner@pld-linux.org> 6fe251c
- rel 4

* Wed Sep 08 2004 Jakub Bogusz <qboosh@pld-linux.org> 2228997
- pl desc is back, (un/re)pack manual

* Tue Sep 07 2004 Paweł Gołaszewski <blues@pld-linux.org> bd6ab56
- better en-description, pl-removed (to be updated)

* Thu Sep 02 2004 darekr <darekr@pld-linux.org> c6d386a
- updated to 2.2

* Wed Aug 18 2004 undefine <undefine@pld-linux.org> e02134e
- release 3

